using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] prihod = new double[n];
            double[] zarada = new double[n];
            double[] porez = new double[n];
            double max = 0;
            int i = 0;

            while (i < n)
            {
                string[] s = Console.ReadLine().Split();
                zarada[i] = double.Parse(s[0]);
                porez[i] = double.Parse(s[1]);
                i++;
            }
            i = 0;
            int j = 0;
            while (i < n)
            {
                while (j < n)
                {
                    if (porez[j] >= porez[i])
                    {
                        prihod[i] = prihod[i] + zarada[j] * porez[i] / 100;
                    }
                    j++;
                }
                if (prihod[i] >= max)
                { 
                 max = prihod[i];
                }
               
                j = 0;
                i++;
            }
            i = 0;
            j = 0;
            Console.WriteLine(max);
           // Console.ReadLine();

        }
    }
}